# makefile1.5
CC = gcc
CFLAGS = -w -I.
OBJ = main.o hello.o

prog: $(OBJ)
	$(CC) -o $@ $^

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

%.d: %.c
	$(CC) -MM $< > $@

include main.d
include hello.d

clean:
	rm -f *.o
	rm -f *.d
	rm -f *~
	rm -f prog
