# makefile1.6
CC = gcc
CFLAGS = -w -I.
OBJ = $(wildcard *.o)

prog: $(OBJ)
	$(CC) -o $@ $^

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

%.d: %.c
	$(CC) -MM $< > $@

include main.d
include hello.d

clean:
	rm -f *.o
	rm -f *.d
	rm -f *~
	rm -f prog

.PHONY: clean
